import numpy as np
from tensorflow.keras.models import Model, load_model
from stdspect import *

model = load_model('models/TellAmide_pretrain.h5')

def tellamide(data, vernier):
    modelin = lp(data, vernier, new_vernier=RangeConstructor(1750, 1200, -1.5))
    pred = model.predict([modelin[:, 65:105].reshape(-1, 40, 1, 1),
                          modelin[:, 342:367].reshape(-1, 25, 1, 1)])

    return pred>0.5